#
# spec file for package python-crammit
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-crammit
Version:        0.4
Release:        2.3
Url:            https://github.com/rspivak/crammit.git
Summary:        Python asset packaging library
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/c/crammit/crammit-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-PyYAML
BuildRequires:  python-cssmin
BuildRequires:  python-devel
BuildRequires:  python-odict
BuildRequires:  python-ply
BuildRequires:  python-setuptools
BuildRequires:  python-slimit
BuildRequires:  unzip
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Crammit is a small tool that provides both CSS and JavaScript
concatenation, compression and some other asset management related
goodies. If you've heard of Jammit for Rails then you can think of it
as my attempt to provide a similar simple version in Python.

%prep
%setup -q -n crammit-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGES.rst README.rst
%{_bindir}/crammit
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Jun 22 2012 saschpe@suse.de
- Update to version 0.4:
  + Added *js_minifier_options* configuration directive that specifies
    named parameters that are passed to the underlying JS
    minifier to configure it
* Mon Mar 12 2012 saschpe@suse.de
- Initial version
